#ifndef LCF_RAND_LOCATION_ARRAY_H_
#define LCF_RAND_LOCATION_ARRAY_H_

class RandLocationArray {
    public:
        static int GetMaxRandNum(int seed, int maxNum);
        static void ReRandArray(int *arr, int len, int seed);
        static int *GetNewSeqArray(int len);
        static void CreateRandVectorsDataByRandIndexArray(float *resultV, float *srcV, int numV, int fieldNum, int *rArray);
};

#endif
